View Issue Details

IDProjectCategoryView StatusLast Update
0005952TalerWeb site(s)public2020-07-24 11:56
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0005952: move www.git to GNU-style build system and allow "make install"
DescriptionThis has already been done for landing.git. We should use the new (submodule-based) build system. This makes it easy to do a "make install" instead of having to copy stuff manually in the BB jobs.

See the Makefile in landing.git for where/how to copy the website contents.
TagsNo tags attached.

Activities

nikita

2020-04-25 16:05

developer   ~0015781

This is finished, right?
- We use the new build-common for configure steps
- We have an install rule in the makefile
- We run install in the update_www.sh

I'm still not happy with the artifacts lying around and us doing an uninstall instead of having 2 directories which just get used (current state, new state).

Florian Dold

2020-04-30 10:26

manager   ~0015815

I would consider this done.

The atomic copying of the newly build and installed website to the location that is served by nginx is IMHO a concern of the buildbot and not the www repo.

Issue History

Date Modified Username Field Change
2019-10-28 13:08 Florian Dold New Issue
2019-10-28 13:14 Florian Dold Assigned To => nikita
2019-10-28 13:14 Florian Dold Status new => assigned
2019-10-28 13:26 nikita Status assigned => acknowledged
2020-04-25 16:05 nikita Note Added: 0015781
2020-04-25 16:05 nikita Assigned To nikita => Florian Dold
2020-04-25 16:05 nikita Status acknowledged => feedback
2020-04-30 10:26 Florian Dold Status feedback => resolved
2020-04-30 10:26 Florian Dold Resolution open => fixed
2020-04-30 10:26 Florian Dold Note Added: 0015815
2020-07-24 11:56 Christian Grothoff Target Version => 0.8
2020-07-24 11:56 Christian Grothoff Fixed in Version => 0.8